<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
AddFileByID Method (IEdmBatchDelete)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmBatchDelete Interface : AddFileByID Method (IEdmBatchDelete)

Visual Basic
C#
C++/CLI

lFileID
  ID of file to delete

lFolderID
  ID of file's parent folder

Adds a file with the specified file and folder IDs to the batch of files to be deleted.

# Syntax

Visual Basic |
--- | ---

    Sub AddFileByID( _
       ByVal lFileID As System.Integer, _
       ByVal lFolderID As System.Integer _
    )

C# |
--- | ---

    void AddFileByID(
       System.int lFileID,
       System.int lFolderID
    )

C++/CLI |
--- | ---

    void AddFileByID(
    &   System.int lFileID,
    &   System.int lFolderID
    )

#### Parameters

lFileID
  ID of file to delete
lFolderID
  ID of file's parent folder

# Remarks

After calling this method, call IEdmBatchDelete::CommitDelete to delete the file from the vault.

Return codes:

- S_OK: The method successfully executed.
- S_FALSE: One of the arguments is invalid.

# See Also

####

IEdmBatchDelete Interface
IEdmBatchDelete Members

# Availability

SOLIDWORKS PDM Professional 2008